curl --request POST \
--url https://api.cloudglue.dev/v1/files/{file_id}/segmentations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"narrative_config": {
"prompt": "<string>",
"number_of_chapters": 2,
"min_chapters": 2,
"max_chapters": 2
},
"start_time_seconds": 1,
"end_time_seconds": 1
}
'import requests
url = "https://api.cloudglue.dev/v1/files/{file_id}/segmentations"
payload = {
"narrative_config": {
"prompt": "<string>",
"number_of_chapters": 2,
"min_chapters": 2,
"max_chapters": 2
},
"start_time_seconds": 1,
"end_time_seconds": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
narrative_config: {prompt: '<string>', number_of_chapters: 2, min_chapters: 2, max_chapters: 2},
start_time_seconds: 1,
end_time_seconds: 1
})
};
fetch('https://api.cloudglue.dev/v1/files/{file_id}/segmentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"created_at": 1,
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segmentation_config": {
"strategy": "uniform",
"uniform_config": {
"window_seconds": 60.5,
"hop_seconds": 60.5
},
"shot_detector_config": {
"detector": "adaptive",
"threshold": 123,
"min_seconds": 300.3,
"max_seconds": 300.5,
"fill_gaps": true
},
"manual_config": {
"segments": [
{
"start_time": 123,
"end_time": 123
}
]
},
"narrative_config": {
"prompt": "<string>",
"strategy": "comprehensive",
"number_of_chapters": 2,
"min_chapters": 2,
"max_chapters": 2
},
"keyframe_config": {
"frames_per_segment": 4,
"max_width": 2232
},
"start_time_seconds": 1,
"end_time_seconds": 1
},
"thumbnails_config": {
"enable_segment_thumbnails": true
},
"total_segments": 1,
"total_shots": 1,
"total_chapters": 1,
"data": {
"object": "list",
"total": 123,
"limit": 123,
"offset": 123,
"segments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": 123,
"end_time": 123,
"thumbnail_url": "<string>"
}
],
"shots": [
{
"index": 123,
"start_time": 1,
"end_time": 1
}
],
"chapters": [
{
"index": 123,
"start_time": 1,
"end_time": 1,
"description": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Create File Segmentation
Create a new segmentation for a file using the specified segmentation configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the file to segment
Body
Segmentation configuration
Segmentation configuration (root level) with optional thumbnails configuration.
Segmentation strategy - determines which config you must provide
uniform, shot-detector, manual, narrative 🎯 REQUIRED when strategy = 'uniform' - Configuration for uniform segmentation.
Show child attributes
Show child attributes
🎯 REQUIRED when strategy = 'shot-detector' - Configuration for shot detection segmentation.
Show child attributes
Show child attributes
🎯 REQUIRED when strategy = 'manual' - Configuration for manual segmentation.
Show child attributes
Show child attributes
🎯 REQUIRED when strategy = 'narrative' - Configuration for narrative-based chapter segmentation using AI analysis.
Show child attributes
Show child attributes
When provided, will be used to extract keyframes for the segmentation.
Show child attributes
Show child attributes
Optional: The start time of the video in seconds to start segmenting from
x >= 0Optional: The end time of the video in seconds to stop segmenting at
x >= 0Configuration for segment thumbnails. Optional.
Show child attributes
Show child attributes
Response
Segmentation created successfully
Unique identifier for the segmentation job
Status of the segmentation job. If a job has the status 'not_applicable' it means that we were unable to find any appropriate scenes for this video. This can be possible if you use the shot-detector strategy.
pending, processing, completed, failed, not_applicable Unix timestamp in milliseconds when the segmentation was created
x >= 0ID of the file this segmentation belongs to
Configuration for video segmentation. Choose a strategy and provide ONLY the corresponding config:
• uniform: Provide uniform_config, do NOT provide other configs
• shot-detector: Provide shot_detector_config, do NOT provide other configs
• manual: Provide manual_config, do NOT provide other configs
• narrative: Provide narrative_config, do NOT provide other configs
Optionally specify start_time_seconds and end_time_seconds to limit segmentation to a portion of the video.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Total number of segments in this segmentation (only present when status is completed)
x >= 0Total number of shots in this segmentation (only present when status is completed and segmentation_config.strategy is 'shot-detector')
x >= 0Total number of chapters in this segmentation (only present when status is completed and segmentation_config.strategy is 'narrative')
x >= 0Segment data with pagination (only present when status is completed and segments exist)
Show child attributes
Show child attributes